com.jscape.util.reflection

## Class ConstructorParametersEqual

- java.lang.Object
- - com.jscape.util.functor.UnaryPredicate<java.lang.reflect.Constructor>
  - - com.jscape.util.reflection.ConstructorParametersEqual

- All Implemented Interfaces:
    java.io.Serializable

      public class ConstructorParametersEqual
      extends com.jscape.util.functor.UnaryPredicate<java.lang.reflect.Constructor>

  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jscape.util.functor.UnaryPredicate

      `com.jscape.util.functor.UnaryPredicate.And<T>, com.jscape.util.functor.UnaryPredicate.False<T>, com.jscape.util.functor.UnaryPredicate.Not<T>, com.jscape.util.functor.UnaryPredicate.Or<T>, com.jscape.util.functor.UnaryPredicate.True<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorParametersEqual(boolean explicit, java.lang.Class... parameterTypes)`
    `ConstructorParametersEqual(boolean explicit, java.util.Collection<java.lang.Class> parameterTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(java.lang.reflect.Constructor value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.util.functor.UnaryPredicate

      `and, not, or`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorParametersEqual

          public ConstructorParametersEqual(boolean explicit,
                                            java.lang.Class... parameterTypes)

    - #### ConstructorParametersEqual

          public ConstructorParametersEqual(boolean explicit,
                                            java.util.Collection<java.lang.Class> parameterTypes)

  - ### Method Detail

    - #### evaluate

          public boolean evaluate(java.lang.reflect.Constructor value)

      Specified by:
        `evaluate` in class `com.jscape.util.functor.UnaryPredicate<java.lang.reflect.Constructor>`
      Parameters:
        `value` - value
      Returns:
        boolean value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved